## kio-extras5 24.02.2

=== debian/changelog ===
kio-extras5 (4:24.02.2-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:15:27 +0000

kio-extras5 (4:24.02.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 03:20:07 +0000

kio-extras5 (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 21 Mar 2024 03:20:07 +0000

kio-extras5 (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:29:17 +0000
