=== debian/changelog ===
kio-extras5 (4:24.02.2+p24.04+vstable+git20251013.2231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 22:31:28 +0000
