## kio-extras5 24.02.2+p24.04+vstable+git20251016.0749

=== debian/changelog ===
kio-extras5 (4:24.02.2+p24.04+vstable+git20251016.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:49:20 +0000
